<?php
require('fpdf/fpdf.php');

class PDF extends FPDF

{
// Cabecera de página
function Header()
{
}

// Pie de página
function Footer()
{
}
}
$pdf = new PDF('P','mm','letter');
$pdf->SetMargins(10, 7, 5, -1); // Margen izquierdo de 10, Superior 10 y se maneja un ancho de 200 para el contenido, Margen derecho de 5

// Creación del objeto de la clase heredada

$bdie=$_GET['bdie'];
$idi=$_GET['idi'];
$danesede=$_GET['danesede'];
$nomsede= utf8_decode($_GET['nomsede']);
$periodo= $_GET['periodo'];
$lectivo= $_GET['lectivo'];
$grado=$_POST['gradoest'];
$grupo=$_POST['grupoest'];

include("../php/conexion-infogeneral.php");
$DatosInstitucion = mysql_query("Select * From datos_instituciones Where idinstitucion='$idi'",$db_infogeneral);
if(mysql_num_rows($DatosInstitucion)>0) {
	$registro=mysql_fetch_array($DatosInstitucion);
	$institucion=utf8_decode($registro["nombreie"]);
	$departamento=utf8_decode($registro["departamentoie"]);
	$municipio=utf8_decode($registro["municipioie"]);
	$dane=$registro["daneie"];
	$nit=$registro["nitie"];
	$resolucion=utf8_decode($registro["resolucionie"]);
	$rector=utf8_decode($registro["rectorie"]);
}

include("../php/conexion-bdie.php");
$contador=0;
$reggrados=mysql_query("Select grado From datos_grados Where idgrado='$grado'",$db_basededatosie);
if(mysql_num_rows($reggrados)>0){
	$FilaGrado=mysql_fetch_array($reggrados);
	$descripciongrado=$FilaGrado["grado"];
}
$descripciongrupo=substr($grupo,17,1);

$regmatriculados=mysql_query("Select nuid From datos_matriculas Where idgrupo='$grupo' And estado='1'",$db_basededatosie);
while ($FilaMatriculado=mysql_fetch_array($regmatriculados)){
	$nuid=$FilaMatriculado["nuid"];
	$regestudiantes=mysql_query("Select nombres,apellidos,documento,rh,tipodocumento From datos_estudiantes Where nuid='$nuid'",$db_basededatosie);
	if(mysql_num_rows($regestudiantes)>0){
		$FilaEstudiante=mysql_fetch_array($regestudiantes);
		$estudiantesdesordenados[$contador][0]=utf8_decode($FilaEstudiante["apellidos"]);
		$estudiantesdesordenados[$contador][1]=utf8_decode($FilaEstudiante["nombres"]);
		$estudiantesdesordenados[$contador][2]=$nuid;
		$estudiantesdesordenados[$contador][3]=$FilaEstudiante["tipodocumento"]." No.:   ".$FilaEstudiante["documento"];
		$estudiantesdesordenados[$contador][4]=$FilaEstudiante["rh"];
		$estudiantesdesordenados[$contador][5]=utf8_decode($descripciongrado);
		$estudiantesdesordenados[$contador][6]=utf8_decode($descripciongrupo);		
		$contador=$contador+1;
	}
}
$numerohojas=0;
$numestudiante=0;
// Ordenar el array ... 
if ($contador){
	$numerohojas=number_format(($contador/3)+1,0);
	sort($estudiantesdesordenados);
}
for ($numhojas=1;$numhojas<=$numerohojas;$numhojas++){
	$pdf->AddPage();
	for ($i=0;$i<=2;$i++){
		$pdf->Image('imagenes/escudo.jpg',20,8+$i*89,12,15);
		$ordenlectivo=substr($lectivo,1,4)+1;
		$pdf->SetFont('Arial','B',8);$pdf->Cell(10);$pdf->Cell(180,5,'DEPARTAMENTO DE '.$departamento.' - MUNICIPIO DE '.$municipio,0,1,'C');
		$pdf->SetFont('Arial','B',11);$pdf->Cell(10);$pdf->Cell(180,5,$institucion,0,1,'C');
		$pdf->SetFont('Arial','I',8);$pdf->Cell(10);$pdf->Cell(180,5,"Nit #: ".$nit."  Dane #: ".$dane,0,1,'C');$pdf->Ln(2);
		$pdf->SetFont('Arial','B',10);$pdf->Cell(10);$pdf->Cell(180,5,'ORDEN DE MATRICULA PARA EL AÑO LECTIVO '.$ordenlectivo,1,1,'C');$pdf->Ln(3);
		$pdf->SetFont('Helvetica','',8);$pdf->Cell(10);$pdf->Cell(110,7,'ESTUDIANTE:  '.$estudiantesdesordenados[$numestudiante][0].' '.$estudiantesdesordenados[$numestudiante][1],1,0,'L');$pdf->Cell(70,7,'DOCUMENTO:  '.$estudiantesdesordenados[$numestudiante][3],1,1,'C');
		$pdf->SetFont('Helvetica','',8);$pdf->Cell(10);$pdf->Cell(75,7,"GRADO QUE CURSA:   ".$estudiantesdesordenados[$numestudiante][5]."    Curso: ".$estudiantesdesordenados[$numestudiante][6],1,0,'L');$pdf->Cell(60,7,'CODIGO:  '.$estudiantesdesordenados[$numestudiante][2],1,0,'C');$pdf->Cell(45,7,'AÑO LECTIVO:  '.substr($lectivo,1,4),1,1,'C');
		$pdf->SetFont('Helvetica','',8);$pdf->Cell(10);$pdf->Cell(180,7,'ORDEN PARA MATRICULARSE EN EL GRADO:      Preescolar[ ]    1[  ]    2[  ]    3[  ]    4[  ]    5[  ]    6[  ]    7[  ]    8[  ]    9[  ]    10[  ]    11[  ]',1,1,'L');
		$pdf->SetFont('Helvetica','',8);$pdf->Cell(10);$pdf->Cell(130,7,'Observaciones:',1,0,'L');$pdf->Cell(50,7,'Presentarse el: ____/____/________',1,1,'L');
		$pdf->Cell(10);$pdf->Cell(180,17,'',1,0,'C');$pdf->Ln(10);
		$pdf->Cell(10);$pdf->Cell(180,4,'______________________________',0,1,'C');
		$pdf->Cell(10);$pdf->Cell(180,3,'Firma Autorizada',0,1,'C');$pdf->Ln(19);
		$numestudiante=$numestudiante+1;
	}
}

$pdf->Output();
?>